# Le manuel de &konsolekalendar;

Tuukka
Pasanen

    illuusio@mailcity.com

Allen
Winter

    awinterz@users.sourceforge.net

Malcolm
Hunter

    malcolm.hunter@gmx.co.uk

Relecteur
&traducteurJoelleCornavin;
2002
2003
Tuukka Pasanen
2003
Allen Winter
&FDLNotice;
2003-11-28
1.0.0

&konsolekalendar; est une interface en ligne de commande aux agendas de &kde;.

KDE
&package;
&kappname;
KOrganizer

## Introduction

&konsolekalendar; est une interface en ligne de commande aux agendas de &kde;. Il vous permet d'afficher, insérer, supprimer ou modifier des évènements de l'agenda par le biais de la ligne de commande ou d'un langage de scriptage. De plus, &konsolekalendar; peut créer un nouvel agenda &kde;, exporter un agenda &kde; vers divers autres formats et importer un autre agenda &kde;.

Dans son mode de base, &konsolekalendar; affiche la liste des évènements dans votre agenda par défaut pour la journée d'aujourd'hui (de 7:00 à 17:00).

Fonctionnalités principales de &konsolekalendar; :

- Affichage des éléments de l'agenda à partir d'une date ou d'une heure de début jusqu'à une date ou une heure de fin

- Insertion (ajout) d'éléments de l'agenda

- Suppression (retrait) d'éléments de l'agenda

- Modification (changement) d'éléments de l'agenda

- Création d'un nouvel agenda

- Exportation d'éléments de l'agenda vers d'autres formats de fichiers

- Importation d'un agenda &kde; existant

&konsolekalendar; n'est pas une autre interface graphique à un agenda de &kde; (&cad; &korganizer;). &konsolekalendar; est prévu uniquement pour des utilisations où une interface graphique utilisateur n'est pas pratique ou possible.

&konsolekalendar; ne fournit pas un langage complet pour effectuer les requêtes d'agenda de l'utilisateur : il n'est pas non plus dans l'intention des auteurs de jamais écrire une telle fonction. Les options initiales en ligne de commande sont prévues pour accéder aux évènements de l'agenda au sein d'un intervalle consécutif de pointages de dates ou d'heures.

## Fonctionnalités

Dans ce chapitre, vous étudierez les principales fonctionnalités de &konsolekalendar; et comment les contrôler à l'aide des paramètres en ligne de commande (n'oubliez pas que &konsolekalendar; n'est pas une interface graphique utilisateur ; il ne s'agit que d'un programme en ligne de commande).

Vous y apprendrez à insérer, supprimer, modifier des évènements de l'agenda et comment exporter des évènements vers d'autres formats de fichiers. La création et l'importation d'agendas &kde; seront également abordées dans ce chapitre.

### Affichage d'évènements

Dans son mode par défaut, ou grâce à l'option`--view`, &konsolekalendar; répertorie tous les évènements compris dans l'intervalle d'une date ou d'une heure spécifiée.

Pour afficher tous les évènements d'aujourd'hui (de 7:00 à 17:00), exécutez simplement :

    % konsolekalendar

Dans l'exemple ci-après, nous affichons tous les évènements pour la semaine du 18 au 22 août :

    % konsolekalendar --view --date 2003-18-08  --end-date 2003-02-22

### Insertion d'évènements

&konsolekalendar; peut insérer des évènements dans un agenda ou une ressource de l'agenda &kde; à l'aide de l'argument en ligne de commande `--add`.

Dans l'exemple suivant, un évènement commençant le 2003-06-04 (4 juin 2003) à 10:00 et se terminant à 12:00 avec le résumé "Consultation chez le médecin" sera inséré dans la ressource de l'agenda par défaut de l'utilisateur :

    % konsolekalendar --add --date 2003-06-04 --time 10:00 \
    --end-time 12:00 --summary "Consultation chez le médecin"

Dans cet exemple, un évènement anniversaire est ajouté dans la ressource de l'agenda par défaut de l'utilisateur :

    % konsolekalendar --add --date 2003-06-06 --summary "Mon anniversaire" \
    --description "Réception"

La version actuelle de &konsolekalendar; ne prend pas en charge l'insertion d'évènements libres (les évènements libres sont ceux qui n'occupent pas de créneau horaire dans la journée ; &cad; que l'horaire n'est pas marqué comme étant occupé. Les anniversaires, vacances, commémorations, &etc; devraient dans l'idéal être insérés en tant qu'évènements libres. Nous espérons pour la prochaine version de &konsolekalendar; avoir une fonctionnalité évènement libre.

Ici, on a inséré une semaine de vacances dans un agenda vacances partagé :

    % konsolekalendar --add --file vacation.ics --date 2003-08-01 \
    --end-date 2003-08-07 --summary "Vacation" --description "Je ne suis là pour personne !"

### Suppression d'éléments

&konsolekalendar; prend en charge la suppression d'éléments dans un fichier ou une ressource de l'agenda à l'aide de l'argument en ligne de commande `--delete`. Les éléments de l'agenda à supprimer sont spécifiés de façon exacte par leur identifiant unique (UID) à l'aide l'option `--uid`. Vous trouverez les UIDs en affichant d'abord l'évènement, à l'aide de l'option `--view`.

Quand vous supprimez quelque chose de l'agenda, vous ne pouvez pas l'annuler ! En d'autres termes, quand vous supprimez un élément, vous ne pouvez pas annuler la suppression. Elle est définitive.

Ici, nous supprimons un élément de l'agenda avec l'UID de &konsolekalendar;-1887551750.196 :

    % konsolekalendar --delete --uid &konsolekalendar;-1887551750.196

### Modification d'éléments

&konsolekalendar; prend en charge la modification d'éléments existants dans un fichier ou une ressource de l'agenda à l'aide de l'argument en ligne de commande `--change`. Les éléments de l'agenda à modifier sont spécifiés de façon exacte par leur identifiant unique (UID) à l'aide de l'option `--uid`. Vous trouverez les UIDs en affichant d'abord l'option `--view`.

La modification se comporte de la même manière que l'insertion : vous pouvez modifier la date et l'heure de début, la date et l'heure de fin, la description et le résumé d'un évènement.

Exemple : ici nous modifions le résumé et la description d'un élément de l'agenda avec l'UID &konsolekalendar;-1887551750.196:

%``konsolekalendar` `--change` `--uid &konsolekalendar;-1887551750.196` `--summary "Me faire examiner la tête"` `--description "ne plus retourner chez ce médecin !"``

### Création d'un nouveau fichier d'agenda

Vous pouvez utiliser &konsolekalendar; pour créer un nouveau fichier d'agenda de &kde;. Puisque vous ne pouvez pas insérer un élément dans un agenda qui n'existe pas, créez le fichier à l'aide des arguments en ligne de commande `--create` et `--file`.

Créez un fichier agenda dénommé `/data/share/agendas/vacances.ics` :

    % konsolekalendar --create --file /data/share/agendas/vacances.ics

### Exportation vers d'autres formats

&konsolekalendar; peut exporter un agenda &kde; vers d'autres formats connus. L'exportation est une forme spéciale d'affichage. Par défaut, les évènements sont affichés au format texte de &konsolekalendar;. Pour changer le format d'affichage, utilisez l'argument en ligne de commande `--export-type`.

Pour afficher une liste de tous les formats d'exportation pris en charge, utilisez l'option `--export-list`, comme dans :

    % konsolekalendar --export-list

### Formats d'exportation

Certains, mais pas nécessairement la totalité des formats pris en charge sont décrits dans cette section.

#### Format texte de &konsolekalendar;

Le format texte de &konsolekalendar; est le format natif de &konsolekalendar; ; il est conçu pour être facile à lire et pour pouvoir être analysé par des suivis de scripts.

Le format texte de &konsolekalendar; est :

    Informations de date et d'heure :
    1. ligne Date :        AAAA-MM-JJ
    2. ligne                 HH:MM
    Résumé :
    3. ligne Résumé :
    4. ligne                 texte de résumé.
    Description :
    5. ligne Description :
    6. ligne                texte de description
    UID :
    7. ligne UID :
    8. ligne                 UID.

    Date :   2003-11-01
            8:00 - 9:00
    Résumé :
            Réunion du personnel
    Description :
            Réunion dans la grande salle de conférences avec l'ensemble du personnel.
    UID :
            &konsolekalendar;-1128954167.1013

#### Format CSV (valeurs séparées par des virgules)

Le format CSV affiche les valeurs d'évènements dans le même ordre que le format texte de &konsolekalendar;. La seule différence est que toutes les informations sont sur la même ligne, chaque champ étant séparé par une virgule. Les fichiers exportés qui en résultent peuvent être importés directement dans des tableurs comme &kspread;, OpenOffice.org Calc et &Microsoft; Excel. En outre, le format CSV est facile à analyser avec des suivis de scripts.

Le format CSV est :

    AAAA-MM-JJ,HH:MM,AAAA-MM-JJ,HH:MM,Résumé,Description,UID

    2003-11-01,08:00,2003-11-01,09:00,Réunion du personnel,Réunion dans la grande salle de conférences \
    avec l'ensemble du personnel.,&konsolekalendar;-1128954167.1013

#### Format HTML

Le format d'exportation HTML produira un fichier HTML valable qui peut être publié sur le Web. Ce format d'exportation ne convient pas pour l'analyse par suivi de script, mais il est très pratique pour la publication d'agendas pour un affichage public aisé.

À FAIRE : insérer une capture d'écran ici

### Importation d'agendas

&konsolekalendar; peut importer un fichier d'agenda ICS dans un agenda &kde;. Tous les évènements provenant de l'agenda dont ils sont importés seront insérés, y compris les évènements identiques. Dans la prochaine version de &konsolekalendar;, les évènements identiques ne seront pas insérés.

Pour importer le fichier d'agenda `un_autre.ics` dans l'agenda `actuel.ics` exécutez :

    % konsolekalendar --import un_autre.ics --file actuel.ics

## Arguments en ligne de commande

&konsolekalendar; prend en charge les options suivantes :

Option | Description
--- | ---
`--help, --help-all` | Affiche l'aide sur les options du programme.
`--author` | Affiche les informations sur l'auteur du programme.
`-v, --version` | Affiche les informations sur la version du programme.
`--license` | Affiche les informations sur la licence du programme.
`--verbose` | Affiche des messages utiles pendant l'exécution.
`--dryrun` | Affiche ce qui aurait été fait, mais sans exécuter. Ne change aucun fichier, n'insère, ne supprime, ne modifie aucun fichier existant et ne crée aucun nouveau fichier.
`--file` fichier-agenda | Spécifie un fichier d'agenda à utiliser. S'il n'est pas spécifié, votre ressource &korganizer; par défaut est utilisée.
Modes d'opération principaux :
`--view` | Affiche les évènements de l'agenda dans le format d'exportation indiqué.
`--add` | Insère un évènement dans l'agenda.
`--change` | Modifie un évènement existant de l'agenda.
`--delete` | Supprime un évènement existant de l'agenda.
`--create` | Crée un nouveau fichier d'agenda s'il n'en existe aucun.
`--import` fichier-importation | Importe cet agenda vers l'agenda principal.
Modificateurs d'opération :
`--all` | Affiche tous les éléments de l'agenda.
`--uid` UID | Affiche, supprime ou modifie l'évènement avec cet Identifiant unique (UID).
`--date` date | Commence ce jour [AAAA-MM-JJ]. La date par défaut est Aujourd'hui.
`--time` | Commence à cette heure [HH:MM]. L'heure par défaut est 07:00.
`--end-date` fin-date | Prend fin ce jour [AAAA-MM-JJ]. La valeur par défaut est fixée par `--date`.
`--end-time` fin-heure | Prend fin à cette heure [HH:MM]. L'heure par défaut est 17:00
`--epoch-start` epoch-heure | Commence à cette heure [secondes depuis le 1er janvier 1970].
`--epoch-end` epoch-heure | Prend fin à cette heure [secondes depuis le 1er janvier 1970].
`--summary` résumé | Ajoute un résumé à un évènement (fonctionne avec Ajout et Modification).
`--description` description | Ajoute une description à un évènement (fonctionne avec Ajout et Modification).
Options d'exportation :
`--export-type` exportation-type | Type de fichier d'exportation. Le type de fichier d'exportation par défaut est Texte
`--export-file` exportation-fichier | Exportation vers un fichier. Par défaut, la sortie est écrite vers la sortie standard.
`--export-list` | Affichage d'une liste des types d'exportation pris en charge et se termine.

## Questions et réponses

&reporting.bugs; &updating.documentation;

Quels fichiers de configuration &konsolekalendar; utilise-t-il ?

Aucun.

Quels sont les noms d'application de &konsolekalendar; ?

Le nom d'application de &konsolekalendar; est konsolekalendar.

Quel est le format d'indication de la date ?

&konsolekalendar; rejettera les dates indiquées sur la ligne de commande, à moins qu'elles ne soient spécifiées conformément aux normes ISO 8601, à savoir : AAAA-MM-JJ. Où AAAA représente une année sur quatre chiffres (comme 2003), MM un mois sur deux chiffres (01,02,..,12) et JJ un jour sur deux chiffres (01,02,...,31).

&konsolekalendar; exporte toujours les dates conformément au format ISO 8601.

Quel est le format d'indication de l'heure ?

&konsolekalendar; rejettera les heures indiquées sur la ligne de commande, à moins qu'elles ne soient spécifiées conformément aux normes ISO 8601, à savoir : HH:MM:SS. Où HH représente une heure sur deux chiffres (01,02,...,24), MM une minute sur deux chiffres (01,02,..,60) et SS une seconde sur deux chiffres (01,02,...,60).

&konsolekalendar; exporte toujours les heures conformément au format ISO 8601.

&konsolekalendar; insérera-t-il un nouvel évènement qui est identique à un évènement déjà existant dans l'agenda ?

Non. Reportez-vous à la question suivante.

Comment &konsolekalendar; détermine-t-il qu'un évènement est identique à un évènement déjà existant dans l'agenda ?

&konsolekalendar; vérifie la date et l'heure de début, la date et l'heure de fin ainsi que le résumé indiqués par rapport à tous les évènements dans l'agenda. Une correspondance d'évènement est déterminée si l'ensemble des trois valeurs correspond à un évènement existant.

Comment faire pour que ma question soit ajoutée à cette FAQ ?

Envoyez vos questions à illuusio@lycos.com.

## Remerciements et licence

Programme &konsolekalendar; Copyright 2002,2003 :

- Tuukka Pasanen illuusio@mailcity.com

- Allen Winter awinterz@users.sourceforge.net

Documentation Copyright 2003 :

- Allen Winter awinterz@users.sourceforge.net

- Tuukka Pasanenilluusio@mailcity.com

Traduction française par &JoelleCornavin;

&underFDL; &underGPL;

## Installation

### Comment obtenir &konsolekalendar;

&install.intro.documentation;

&konsolekalendar; est inclus dans &kde;3 est n'est pas disponible séparément.

### Conditions requises

L'installation de &konsolekalendar; exige l'installation des bibliothèques standard de &kde; (le paquetage `kdelibs`). Pour compiler à partir du source, vous aurez également besoin des paquetages de développement de &Qt; et de `kdelibs`.

Vous trouverez une liste des changements dans le fichier `ChangeLog`.

### Compilation et installation

Cette section offre un bref aperçu du processus de compilation. Lisez Compiler &kde; 3.2.x pour les instructions complètes.

Si vous ne pouvez pas vous procurer un paquetage exécutable précompilé convenable, vous devrez compiler &konsolekalendar; vous-même à partir des fichiers sources. Téléchargez le fichier du paquetage source `kdepim-x.x.tar.bz2`. Décompactez-le dans un nouveau dossier à l'aide d'une commande similaire à ``tar` `xvfj paquetage.tar.bz2`` et placez-vous dans le dossier qui a été créé.

&install.compile.documentation;

Si vous avez plusieurs versions de &kde; sur votre ordinateur (&pex;, &kde;2 et &kde;3), cette commande est susceptible d'installer &konsolekalendar; dans le mauvais dossier &kde;. Si nécessaire, attribuez au dossier &kde; un paramètre à ``./configure``. Par exemple, si votre &kde; est installé dans `/opt/kde3` :

``./configure` --prefix=/opt/kde3`

### Configuration

Aucune configuration spéciale n'est requise pour installer &konsolekalendar; pour qu'il s'exécute sur le bureau &kde;.

&documentation.index;